std::add_lvalue_reference< _Tp > Struct Template Reference
Utilities » Metaprogramming

`#include <type_traits>`

## Public Types

typedef _Tp | type

## Detailed Description

template<typename _Tp>
struct std::add_lvalue_reference< _Tp >

add_lvalue_reference

Definition at line 1640 of file type_traits.

## Member Typedef Documentation

## type

template<typename _Tp, bool = __is_referenceable<_Tp>::value>

typedef _Tp std::__add_lvalue_reference_helper< _Tp, bool >::type

inherited

Definition at line 1632 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits